d.rast.num(1)

NAME
d.rast.num - Overlays cell category values on a raster map layer displayed to the graphics monitor.

KEYWORDS
display

SYNOPSIS
d.rast.num
d.rast.num help
d.rast.num [-f] [map=name] [grid_color=color] [text_color=color]

  Flags:

-f  Get text color from cell color value

  Parameters:

map=name
    Name of existing raster map to be displayed

grid_color=color
    Color for drawing grid, or "none" Options: red,orange,yellow,green,blue,indigo,violet,white,black,gray,brown,magenta,aqua,grey,cyan,purple,none Default: gray

text_color=color
    Color for drawing text Options: red,orange,yellow,green,blue,indigo,violet,white,black,gray,brown,magenta,aqua,grey,cyan,purple Default: black

DESCRIPTION
d.rast.num overlays cell category values onto a raster map layer displayed on the user's graphics monitor. Category values will be displayed in the text color given and scaled to fit within a single cell. A grid outlining each map cell will also be overlain in a user-specified color, unless it has been set to "none".

If no grid color is given the default will be used. If no map layer is specified, the program will use whatever raster map layer is currently displayed in the active frame on the graphics monitor.

If the -f flag is given the displayed number will take on the color of the base map in that cell.

NOTES
The user is advised to set the current region to a relatively small area (i.e., less than 100 rows by 100 columns); otherwise, the individual cells being displayed will be small and the category value associated with each will be difficult to see.

SEE ALSO
d.frame, d.grid, d.rast, d.rast.arrow, d.rast.edit, g.region, r.slope.aspect

AUTHORS
Raghavan Srinivasan, and Chris Rewerts,
Agricultural Engineering, Purdue University

Last changed: $Date: 2005/10/18 05:17:43 $

Full index